function newSprt01010Control(page, doctx = ""){
	page.ctrl = new IntegrationSearchControl(	{
		dataGetter: obj => Array.isArray(obj) ? obj : [],
		appendData: false,
		keys: ["CRDN_ID"],
		urls: {
			load: wctx.url("/sprt/sprt01/010/list.do")			// 검색
		},
		formats: {
			  CRDN_YMD_TM: datetimeFormat
			, CRDN_STTS_CHG_YMD: dateFormat
			, CVLCPT_RCPT_YMD: dateFormat
	    	, LEVY_EXCL_YMD: dateFormat
	    	, ADVNTCE_DUDT_YMD: dateFormat
	    	, LEVY_YMD: dateFormat
	    	, FRST_DUDT_YMD: dateFormat
			, DUDT_YMD: dateFormat
			, DUDT_AFTR_YMD: dateFormat
	    	, RCVMT_YMD: dateFormat
	    	, FFNLG_CRDN_AMT: numberFormat
	    	, FFNLG_AMT: numberFormat
	    	, ADVNTCE_AMT: numberFormat
	    	, LEVY_AMT: numberFormat
	    	, LEVY_PCPTAX: numberFormat
	    	, LEVY_ADAMT: numberFormat
	    	, RCVMT_AMT: numberFormat
	    	, RCVMT_PCPTAX: numberFormat
	    	, RCVMT_ADAMT: numberFormat
	    	, LAST_AMT: numberFormat
	    	, MINAP_AMT: numberFormat
	    	, DUDT_AFTR_AMT: numberFormat
			, REG_DT: datetimeFormat
		    , MDFCN_DT: datetimeFormat
		}
	});
	return page.ctrl;
}

class IntegrationSearchControl extends DatasetControl {
	constructor(conf) {
		super(conf);

		this.upDataset = new Dataset(conf);
		this.downDataset = new Dataset(conf);

	}

	load(pageNum) {
		this.query.pageNum = pageNum;
		this._load();
	}

	_load() {
		if (!this.query.pageNum)
			this.query.pageNum = 1;
		ajax.get({
			url:this.urls.load,
			data:this.query,
			success:(resp) => {
				this.setData(resp);
			}
		});
	}

	setData(obj) {
		this.upDataset.setData(obj.upList);
		this.downDataset.setData(obj.downList);
	}

	set flag(updown) {
		if(updown == "up"){
			this.dataset = this.upDataset;
		} else if(updown == "down"){
			this.dataset = this.downDataset;
		}
	}
}